Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task
Class HumanTaskConfigurator

    java.lang.Object
      org.jbpm.services.task.HumanTaskConfigurator

    public class HumanTaskConfigurator

extends Object

Task service configurator that provides fluent API approach to building `TaskService` instances. Most of the attributes have their defaults but there is one that must be explicitly set

- entityManagerFactory

Important to notice is defaults for:

- userInfo - DefaultUserInfo by default
- userGroupCallback - uses MvelUserGroupCallbackImpl by default

See Also:
  `DefaultUserInfo`, `MvelUserGroupCallbackImpl`

Constructor Summary
`HumanTaskConfigurator()`

Method Summary
`protected void` | `addDefaultInterceptor()`
`protected void` | `addTransactionLockInterceptor()`
`HumanTaskConfigurator` | `entityManagerFactory(javax.persistence.EntityManagerFactory emf)`
`HumanTaskConfigurator` | `environment(Environment environment)`
`TaskService` | `getTaskService()`
`HumanTaskConfigurator` | `interceptor(int priority, org.drools.core.command.Interceptor interceptor)`
`HumanTaskConfigurator` | `listener(TaskLifeCycleEventListener listener)`
`HumanTaskConfigurator` | `userGroupCallback(UserGroupCallback userGroupCallback)`
`HumanTaskConfigurator` | `userInfo(org.kie.internal.task.api.UserInfo userInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HumanTaskConfigurator

    public HumanTaskConfigurator()

Method Detail

### interceptor

    public HumanTaskConfigurator interceptor(int priority,
                                             org.drools.core.command.Interceptor interceptor)

### listener

    public HumanTaskConfigurator listener(TaskLifeCycleEventListener listener)

### environment

    public HumanTaskConfigurator environment(Environment environment)

### entityManagerFactory

    public HumanTaskConfigurator entityManagerFactory(javax.persistence.EntityManagerFactory emf)

### userInfo

    public HumanTaskConfigurator userInfo(org.kie.internal.task.api.UserInfo userInfo)

### userGroupCallback

    public HumanTaskConfigurator userGroupCallback(UserGroupCallback userGroupCallback)

### getTaskService

    public TaskService getTaskService()

### addDefaultInterceptor

    protected void addDefaultInterceptor()

### addTransactionLockInterceptor

    protected void addTransactionLockInterceptor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.